## setCharacterWalkSpeed

### Syntax:

    setCharacterWalkSpeed (thisCharacter, value);

### Purpose:

Changes the speed at which thisCharacter moves around the current scene. The character must already have been added to the screen using the addCharacter command. When a character is added to the screen, its walking speed is set to the default walking speed as defined in the thisCharacter object type - if the object type contains no default walk speed information, the default walk speed is set to 5.

If thisCharacter is an object type which is not currently represented on the screen as a character, the code has no effect.

### Return value:

TRUE if thisCharacter is an object type which is currently represented on the screen as a character, otherwise FALSE (i.e. TRUE if the call to the function was a success).

### See also:

Object Types as Characters

forceCharacter

moveCharacter

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012